Recipients for Marketplace
List Recipients
Retrieve a list of recipients registered in the marketplace
GET
/
recipients
List Recipients
curl --request GET \
--url https://api-sandbox.y.uno/v1/recipients \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/recipients"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9104911d-5df9-429e-8488-ad41abea1a4b",
"account_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
"merchant_recipient_id": "AAAA01",
"national_entity": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@email.com",
"country": "CO",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"pagination": {
"total": 1,
"limit": 20,
"offset": 0,
"has_more": false
}
}{
"code": "INVALID_CREDENTIALS",
"messages": [
"Invalid credentials"
]
}{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API."
]
}Retrieves a list of recipients for the authenticated account. Supports pagination and filtering.
Authorizations
Query Parameters
Maximum number of recipients to return
Required range:
1 <= x <= 100Number of recipients to skip for pagination
Required range:
x >= 0Filter recipients by national entity type
Available options:
INDIVIDUAL, ENTITY Filter recipients by country
Was this page helpful?
⌘I
List Recipients
